Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[PALUDIS] Support thread (current v. 0.26.*) - Part 4
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 8, 9, 10 ... 24, 25, 26  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Sun Mar 23, 2008 11:46 pm    Post subject: Reply with quote

trainquilcool,

I think the reason you're still getting the error despite the ebuild being fixed currently is that paludis enforces the dependencies of the installed version/ebuild. I bet if you in /var/db/pkg/x11-libs/qt-qt3support-4.4.0_pre20080323 you'll find a copy of the old, broken ebuild

edit: Changed focus of entire message since I was off-base
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Tue Mar 25, 2008 8:18 am    Post subject: Reply with quote

slycordinator wrote:
trainquilcool,

I think the reason you're still getting the error despite the ebuild being fixed currently is that paludis enforces the dependencies of the installed version/ebuild. I bet if you in /var/db/pkg/x11-libs/qt-qt3support-4.4.0_pre20080323 you'll find a copy of the old, broken ebuild

edit: Changed focus of entire message since I was off-base



thanks slycordinator that was the problem.
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
madcat87
Tux's lil' helper
Tux's lil' helper


Joined: 11 Aug 2005
Posts: 120

PostPosted: Sat Mar 29, 2008 9:08 pm    Post subject: Reply with quote

I just moved to Palaudis today and was wondering how to remove that annoying warning:
Quote:
paludis@1206824818: [WARNING] In program paludis --log-level qa --regenerate-installed-cache:
... When making environment from specification '':
... When loading paludis configuration:
... Cannot access configuration directory '/etc/paludis' using userpriv, so userpriv will be disabled


It really annoys me. :)
Back to top
View user's profile Send private message
Knute
Guru
Guru


Joined: 28 Jun 2004
Posts: 362
Location: Fargo, ND

PostPosted: Sat Mar 29, 2008 11:36 pm    Post subject: Reply with quote

madcat87 wrote:
I just moved to Palaudis today and was wondering how to remove that annoying warning:
Quote:
paludis@1206824818: [WARNING] In program paludis --log-level qa --regenerate-installed-cache:
... When making environment from specification '':
... When loading paludis configuration:
... Cannot access configuration directory '/etc/paludis' using userpriv, so userpriv will be disabled


It really annoys me. :)


As root in a terminal
Code:
mkdir /etc/paludis

_________________
Knute
----------
The human race has one really effective weapon, and that is laughter.
-- Mark Twain

If you want proof of that, take a look at windows sometime. :)
Back to top
View user's profile Send private message
Zougloub
n00b
n00b


Joined: 14 Dec 2007
Posts: 30

PostPosted: Sun Mar 30, 2008 1:14 am    Post subject: Reply with quote

Hi mudcat87.

Don't listen to what Knute told you.

Paludis tells you that it can't read the folder when dropping its root privileges to its "sandboxed" user (by default paludisbuild, but you can change it).
userpriv = user privileges
You should make the folder readable by this user (or group).

You can drop by on #paludis @ freenode if you have trouble.
Back to top
View user's profile Send private message
madcat87
Tux's lil' helper
Tux's lil' helper


Joined: 11 Aug 2005
Posts: 120

PostPosted: Sun Mar 30, 2008 1:47 am    Post subject: Reply with quote

Thanks Zougloub,I use umask 0027 hence was the warning.I chowned the dir to paludisbuild now and it disappeared. :)
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Mon Mar 31, 2008 6:14 am    Post subject: Reply with quote

some issue with paludis.

i installed paludis14 with paludis but emerge doesn't see it.

any help?
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
Knute
Guru
Guru


Joined: 28 Jun 2004
Posts: 362
Location: Fargo, ND

PostPosted: Mon Mar 31, 2008 1:03 pm    Post subject: Reply with quote

tranquilcool wrote:
some issue with paludis.

i installed paludis14 with paludis but emerge doesn't see it.

any help?


The emerge command is portage.

The command for paludis is simply "paludis -<some option or options> <parameters or other options>"

LOL

Did I say simply?? ROFL
paludis has more options than tar!
_________________
Knute
----------
The human race has one really effective weapon, and that is laughter.
-- Mark Twain

If you want proof of that, take a look at windows sometime. :)
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Mon Mar 31, 2008 1:28 pm    Post subject: Reply with quote

tranquilcool wrote:
some issue with paludis.

i installed paludis14 with paludis but emerge doesn't see it.

any help?


1) What do you mean by "doesn't see it"?
[edit]If you mean paludis doesn't show when you do an "emerge -e world" it's probably because if you're using the paludis configuration format it defaults to not writing to a world file unless you specify one in environment.conf. And if you use the portage configuration format it defaults to using the same world file as portage does.

Either way, if paludis and portage share /var/db/pkg so if you did "emerge -p paludis" it should show as installed[/edit]

2) What the hell is paludis14? [edit]Oops; 0.26_alpha14. Though really, it is NOT paludis14.[/edit]


Last edited by slycordinator on Mon Mar 31, 2008 1:43 pm; edited 2 times in total
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Mon Mar 31, 2008 1:30 pm    Post subject: Reply with quote

Knute wrote:
tranquilcool wrote:
some issue with paludis.

i installed paludis14 with paludis but emerge doesn't see it.

any help?


The emerge command is portage.

The command for paludis is simply "paludis -<some option or options> <parameters or other options>"

LOL

Did I say simply?? ROFL
paludis has more options than tar!


The above post is an entire nonsequitur.
Back to top
View user's profile Send private message
Knute
Guru
Guru


Joined: 28 Jun 2004
Posts: 362
Location: Fargo, ND

PostPosted: Mon Mar 31, 2008 2:25 pm    Post subject: Reply with quote

slycordinator wrote:
Knute wrote:
tranquilcool wrote:
some issue with paludis.

i installed paludis14 with paludis but emerge doesn't see it.

any help?


The emerge command is portage.

The command for paludis is simply "paludis -<some option or options> <parameters or other options>"

LOL

Did I say simply?? ROFL
paludis has more options than tar!


The above post is an entire nonsequitur.


Dude,

It's giving basically the same info!

Pull the stick out and chill!
_________________
Knute
----------
The human race has one really effective weapon, and that is laughter.
-- Mark Twain

If you want proof of that, take a look at windows sometime. :)
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Mon Mar 31, 2008 3:01 pm    Post subject: Reply with quote

Knute wrote:


Dude,

It's giving basically the same info!


Only when "basically" is defined as "not."
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Mon Mar 31, 2008 5:27 pm    Post subject: Reply with quote

tranquilcool wrote:
some issue with paludis.

i installed paludis14 with paludis but emerge doesn't see it.

any help?



this is what i meant to say;

i installed paludis...alpha14 with the command paludis -i paludis...alpha14.

if i do emerge paludis...alpha14 -p
it is shown as a new package (N) which basically means it's not installed.
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
Zougloub
n00b
n00b


Joined: 14 Dec 2007
Posts: 30

PostPosted: Mon Mar 31, 2008 5:50 pm    Post subject: Reply with quote

tranquilcool, (yes, what you have is not normal) it looks like your installed packages information don't go at the correct place

Are you using portage environment ?
If so, I'm not competent to help you atm.

If not, have you well configured your "installed" repository ?

This is a "working" /etc/paludis/repositories/installed.conf :
Code:

location = /var/db/pkg/
format = vdb
names_cache = /var/cache/paludis/names
write_cache = /var/cache/paludis/metadata
provides_cache = /var/cache/paludis/provides


If you use this configuration and install stuff with paludis, they will go to the VDB, used by portage.
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Tue Apr 01, 2008 1:46 am    Post subject: Reply with quote

Zougloub wrote:
tranquilcool, (yes, what you have is not normal) it looks like your installed packages information don't go at the correct place

Are you using portage environment ?
If so, I'm not competent to help you atm.

If not, have you well configured your "installed" repository ?

This is a "working" /etc/paludis/repositories/installed.conf :
Code:

location = /var/db/pkg/
format = vdb
names_cache = /var/cache/paludis/names
write_cache = /var/cache/paludis/metadata
provides_cache = /var/cache/paludis/provides


If you use this configuration and install stuff with paludis, they will go to the VDB, used by portage.




my /etc/paludis/repositories/installed.conf is same as above.
honestly i don't know what's happening portage says something about paludis-scm not
in portage database. guess maybe i should reinstall paludis.
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Tue Apr 01, 2008 4:00 am    Post subject: Reply with quote

Did you install paludis or did you install paludis-scm? Because portage doesn't understand ANY package with "-scm"

In other words:
Which of these commands did you run

Code:
paludis -i paludis


Code:
paludis -i paludis-scm
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Tue Apr 01, 2008 6:30 am    Post subject: Reply with quote

slycordinator wrote:
Did you install paludis or did you install paludis-scm? Because portage doesn't understand ANY package with "-scm"

In other words:
Which of these commands did you run

Code:
paludis -i paludis


Code:
paludis -i paludis-scm



well i did paludis -i paludis but now i have just noted it installs paludis-scm not paludis.
as a matter of fact i know so little about paludis that i don't know the difference between
paludis and palidis-scm.

please can you say a few things about the differences
and why paludis installs paludis-scm if i do paludis -i paludis?
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Tue Apr 01, 2008 3:06 pm    Post subject: Reply with quote

AFAIK, it doesn't. I've NEVER seen what you're describing.

btw: scm is the ending added to an ebuild to signify that it's a live build (like using a live repository for svn, cvs, git, etc)
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Tue Apr 01, 2008 8:25 pm    Post subject: Reply with quote

slycordinator wrote:
AFAIK, it doesn't. I've NEVER seen what you're describing.

btw: scm is the ending added to an ebuild to signify that it's a live build (like using a live repository for svn, cvs, git, etc)


you're right i didn't notice the difference. all along
i had paludis-scm installed.
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
Hasardeur
n00b
n00b


Joined: 03 Jun 2005
Posts: 70

PostPosted: Wed Apr 02, 2008 11:25 am    Post subject: Reply with quote

hey, everybody.

i've got some problems. there seem to be alot of stale cache files as well as unuseable ones. that would not be that bad but now paludis tries to downgrade many packages - and i don't know why. they were just upgraded by paludis.
deluge for example was upgraded a few days back and is listeted in keywords and package_unmask.

how can i fix the cache and prevent paludis from downgrading so many packages?

Code:
paludis -ip --dl-reinstall if-use-changed everything
Building target list...
Building dependency list...paludis@1207134937: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-arch/gzip-1.3.12-r1'
paludis@1207134937: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-misc/ca-certificates-20070303-r1'
paludis@1207134938: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'app-admin/eselect-paludis-hooks':
  ... When adding package 'app-admin/eselect-paludis-hooks-0.3.0:0::paludis-extras':
  ... When adding build dependencies as pre dependencies:
  ... When adding PackageDepSpec 'sys-apps/paludis':
  ... Downgrade to 'sys-apps/paludis-0.26.0_alpha12:0::gentoo' from 'sys-apps/paludis-0.26.0_alpha14:0::installed' forced
paludis@1207134940: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'app-cdr/nero':
  ... When adding installed package 'app-cdr/nero-3.1.1.0:0::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '>=x11-libs/gtk+-2':
  ... When adding installed package 'x11-libs/gtk+-2.12.8:2::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec 'x11-misc/shared-mime-info':
  ... Downgrade to 'x11-misc/shared-mime-info-0.22-r1:0::gentoo' from 'x11-misc/shared-mime-info-0.23:0::installed' forced
paludis@1207134940: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'app-cdr/nero':
  ... When adding installed package 'app-cdr/nero-3.1.1.0:0::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '>=x11-libs/gtk+-2':
  ... When adding installed package 'x11-libs/gtk+-2.12.8:2::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec 'net-print/cups':
  ... When adding installed package 'net-print/cups-1.2.12-r6:0::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec 'net-libs/gnutls':
  ... Downgrade to 'net-libs/gnutls-2.0.4:0::gentoo' from 'net-libs/gnutls-2.2.2:0::installed' forced
paludis@1207134940: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-editors/gphpedit-0.9.91'
paludis@1207134940: [WARNING] Couldn't use the cache file at '/usr/portage/metadata/cache/gnome-base/libgnomeui-2.22.01'
paludis@1207134940: [WARNING] Couldn't use the cache file at '/usr/portage/metadata/cache/gnome-base/libgnome-2.22.0'
paludis@1207134940: [WARNING] Couldn't use the cache file at '/usr/portage/metadata/cache/gnome-base/gconf-2.22.0'
paludis@1207134940: [WARNING] Couldn't use the cache file at '/usr/portage/metadata/cache/gnome-base/gnome-vfs-2.22.0'
paludis@1207134941: [WARNING] Couldn't use the cache file at '/usr/portage/metadata/cache/gnome-base/libbonoboui-2.22.0'
paludis@1207134941: [WARNING] Couldn't use the cache file at '/usr/portage/metadata/cache/gnome-base/gnome-keyring-2.22.0-r2'
paludis@1207134941: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-emulation/wine-20050930'
paludis@1207134941: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-emulation/wine-20050830'
paludis@1207134941: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-emulation/wine-20050725-r1'
paludis@1207134941: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-emulation/wine-20050628'
paludis@1207134941: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-emulation/wine-20050524'
paludis@1207134941: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-emulation/wine-20050419'
paludis@1207134941: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-emulation/wine-9999'
paludis@1207134941: [WARNING] Stale cache file at '/usr/portage/metadata/cache/app-emulation/wine-0.9.58'
paludis@1207134942: [WARNING] Stale cache file at '/usr/portage/metadata/cache/dev-perl/PlRPC-0.2020-r1'
paludis@1207134943: [WARNING] Stale cache file at '/usr/portage/metadata/cache/dev-perl/XML-SAX-0.16'
paludis@1207134944: [WARNING] Couldn't use the cache file at '/usr/portage/metadata/cache/gnome-base/librsvg-2.22.2'
paludis@1207134944: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'media-libs/libcddb':
  ... Downgrade to 'media-libs/libcddb-1.3.0:0::gentoo' from 'media-libs/libcddb-1.3.0-r1:0::installed' forced
paludis@1207134945: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'media-sound/alsa-utils':
  ... When adding installed package 'media-sound/alsa-utils-1.0.14:0.9::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec 'sys-apps/pciutils':
  ... Downgrade to 'sys-apps/pciutils-2.2.9:0::gentoo' from 'sys-apps/pciutils-2.2.10:0::installed' forced
paludis@1207134946: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'net-misc/dhcpcd':
  ... Downgrade to 'net-misc/dhcpcd-3.1.5-r1:0::gentoo' from 'net-misc/dhcpcd-3.2.3:0::installed' forced
paludis@1207134946: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'net-p2p/deluge':
  ... Downgrade to 'net-p2p/deluge-0.5.8.6:0::gentoo' from 'net-p2p/deluge-0.5.8.7:0::installed' forced
paludis@1207134948: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'x11-misc/xscreensaver':
  ... Downgrade to 'x11-misc/xscreensaver-5.04-r1:0::gentoo' from 'x11-misc/xscreensaver-5.05:0::installed' forced
paludis@1207134948: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'xfce-base/thunar':
  ... Downgrade to 'xfce-base/thunar-0.9.0-r1:0::gentoo' from 'xfce-base/thunar-0.9.0-r2:0::installed' forced
paludis@1207134949: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'xfce-base/xfce4':
  ... When adding installed package 'xfce-base/xfce4-4.4.2:0::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '>=xfce-base/xfprint-4.4.2':
  ... Downgrade to 'xfce-base/xfprint-4.4.2:0::gentoo' from 'xfce-base/xfprint-4.4.2-r1:0::installed' forced
paludis@1207134949: [WARNING] In program paludis -ip --dl-reinstall if-use-changed everything:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'xfce-extra/ristretto':
  ... Downgrade to 'xfce-extra/ristretto-0.0.15:0::gentoo' from 'xfce-extra/ristretto-0.0.17:0::installed' forced


These packages will be installed:

* sys-apps/paludis [D 0.26.0_alpha14 -> 0.26.0_alpha12] <everything>
    Reasons: app-admin/eselect-paludis-hooks-0.3.0:0::paludis-extras, app-paludis/demo-hooks-definitions-0.26.0_alpha13:0::paludis-extras
    -bash-completion -doc glsa -inquisitio pink -portage -python -qa -ruby -vim-syntax visibility -zsh-completion
    1.40 MBytes to download
* app-admin/eselect-paludis-hooks::paludis-extras [U 0.2.0 -> 0.3.0] <everything>
    Reasons: *app-paludis/demo-hooks-definitions-0.26.0_alpha13:0::paludis-extras
* app-paludis/demo-hooks-definitions::paludis-extras [N 0.26.0_alpha13]
    Reasons: *app-admin/eselect-paludis-hooks-0.3.0:0::paludis-extras
    "Definitions for eselect paludis-hook for Paludis's demo hooks."
* x11-misc/shared-mime-info [D 0.23 -> 0.22-r1] <everything>
    Reasons: gnome-base/gnome-vfs-2.20.1-r1:2::installed, x11-libs/gtk+-2.12.8:2::installed, 1 more
    407.34 kBytes to download
* net-libs/gnutls [D 2.2.2 -> 2.0.4] <everything>
    Reasons: net-print/cups-1.2.12-r6:0::installed
    -doc -guile -lzo nls zlib
    4.68 MBytes to download
* app-text/acroread [R 8.1.2-r1] <everything>
    cups -ldap minimal -nsplugin linguas: -da -de* en -es -fi -fr -it -ja -ko -nb -nl -pt -sv -zh_CN -zh_TW
    44.84 MBytes to download
* dev-util/gperf [U 3.0.1 -> 3.0.3] <everything>
    844.81 kBytes to download
* media-libs/libcddb [D 1.3.0-r1 -> 1.3.0] <everything>
    Reasons: media-plugins/audacious-plugins-1.5.0:0::installed
    -doc
    321.60 kBytes to download
* sys-apps/pciutils [D 2.2.10 -> 2.2.9] <everything>
    Reasons: media-sound/alsa-utils-1.0.14:0.9::installed
    -network-cron zlib
    228.89 kBytes to download
* net-misc/dhcpcd [D 3.2.3 -> 3.1.5-r1] <everything>
    -vram
    40.00 kBytes to download
* net-p2p/deluge [D 0.5.8.7 -> 0.5.8.6] <everything>
    -libnotify
    2.09 MBytes to download
* sys-apps/man-pages [R 2.78] <everything, system>
    Reasons: sys-apps/diffutils-2.8.7-r2:0::installed
    nls linguas: -cs -da -de* -es -fr -it -ja -nl -pl -ro -ru -zh_CN
    1.78 MBytes to download
* sys-kernel/gentoo-sources :2.6.24-r3 [S 2.6.24-r3] <everything>
    -build -symlink*
    44.65 MBytes to download
* www-client/mozilla-firefox-bin [R 3.0_beta4] <everything>
    -restrict-javascript linguas: -ar -be -ca -cs -de* -el en_GB -es -es_AR -es_ES -eu -fi -fr -fy -fy_NL -ga -ga_IE -gu -gu_IN -he -hu -it -ja -ka -ko -lt -mk -nb -nb_NO -nl -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -sk -sq -sv -sv_SE -tr -uk -zh -zh_CN -zh_TW
    8.66 MBytes to download
* x11-misc/xscreensaver [D 5.05 -> 5.04-r1] <everything>
    Reasons: xfce-base/xfce4-4.4.2:0::installed
    jpeg -new-login opengl pam -suid -xinerama
    5.19 MBytes to download
* xfce-base/thunar [D 0.9.0-r2 -> 0.9.0-r1] <everything>
    Reasons: xfce-base/xfce4-4.4.2:0::installed, xfce-extra/ristretto-0.0.15:0::gentoo, 1 more
    X -dbus -debug -doc -exif -gnome -hal pcre -startup-notification -trash-plugin
    6.11 MBytes to download
* xfce-base/xfdesktop [R 4.4.2] <everything>
    Reasons: xfce-base/xfce4-4.4.2:0::installed
    -debug -doc -file-icons menu-plugin linguas: -be -ca -cs -da -de* -el -es -et -eu -fi -fr -he -hu -it -ja -ko -nb_NO -nl -pa -pl -pt_BR -ro -ru -sk -sv -tr -uk -vi -zh_CN -zh_TW
    2.91 MBytes to download
* xfce-base/xfprint [D 4.4.2-r1 -> 4.4.2] <everything>
    Reasons: xfce-base/xfce4-4.4.2:0::installed
    cups -debug -doc
    807.89 kBytes to download
* xfce-extra/ristretto [D 0.0.17 -> 0.0.15] <everything>
    -debug
    219.05 kBytes to download

Total: 19 packages (1 new, 2 upgrades, 11 downgrades, 1 in new slot, 4 rebuilds), at most 125.11 MBytes to download
Back to top
View user's profile Send private message
dleverton
Guru
Guru


Joined: 28 Aug 2006
Posts: 517

PostPosted: Wed Apr 02, 2008 12:50 pm    Post subject: Reply with quote

Hasardeur wrote:
i've got some problems. there seem to be alot of stale cache files as well as unuseable ones. that would not be that bad but now paludis tries to downgrade many packages - and i don't know why. they were just upgraded by paludis.

Your rsync mirror is probably broken/out of date. Try syncing again, and if that doesn't help, try a different mirror.
Back to top
View user's profile Send private message
Hasardeur
n00b
n00b


Joined: 03 Jun 2005
Posts: 70

PostPosted: Wed Apr 02, 2008 2:15 pm    Post subject: Reply with quote

you were right. i switched to the deafult rsync mirror and now everything works. thanks.
Back to top
View user's profile Send private message
madcat87
Tux's lil' helper
Tux's lil' helper


Joined: 11 Aug 2005
Posts: 120

PostPosted: Fri Apr 04, 2008 2:06 pm    Post subject: Reply with quote

This happened after syncing :
Code:
Building target list...                                                               
Building dependency list...paludis@1207317866: [QA] In program paludis --install --pretend --dl-reinstall if-use-changed world:                                                                                                                           
  ... When performing install action from command line:                                                                     
  ... When executing install task:                                                                                           
  ... When building dependency list:                                                                                         
  ... When adding NamedSetDepSpec 'system':                                                                                 
  ... When loading profiles '/usr/portage/profiles/default/linux/x86/2008.0/desktop' for repository 'gentoo':               
  ... When using directory '/usr/portage/profiles/default/linux/x86/2008.0/desktop':                                         
  ... When adding profile directory '/usr/portage/profiles/default/linux/x86/2008.0/desktop:                                 
  ... When handling parent file for profile directory '/usr/portage/profiles/default/linux/x86/2008.0/desktop:               
  ... When adding profile directory '/usr/portage/profiles/default/linux/x86/2008.0:                                         
  ... When handling parent file for profile directory '/usr/portage/profiles/default/linux/x86/2008.0:                       
  ... When adding profile directory '/usr/portage/profiles/default/linux/x86:                                               
  ... When handling parent file for profile directory '/usr/portage/profiles/default/linux/x86:                             
  ... When adding profile directory '/usr/portage/profiles/arch/x86:                                                         
  ... When adding profile configuration file '/usr/portage/profiles/arch/x86/package.mask':                                 
  ... No match for '->=app-accessibility/dasher-4.7'                                                                         
paludis@1207317866: [QA] (same context) No match for '->=app-accessibility/gnome-mag-0.15.0'                                 
paludis@1207317866: [QA] (same context) No match for '->=app-crypt/seahorse-2.22'                                           
paludis@1207317866: [QA] (same context) No match for '->=gnome-base/libgtop-2.22'                                           
paludis@1207317866: [QA] (same context) No match for '->=x11-themes/gtk-engines-2.14'                                       
paludis@1207317866: [QA] (same context) No match for '->=gnome-base/libbonobo-2.22'                                         
paludis@1207317866: [QA] (same context) No match for '->=x11-libs/libwnck-2.22'                                             
paludis@1207317866: [QA] (same context) No match for '->=x11-themes/gnome-backgrounds-2.22'                                 
paludis@1207317866: [QA] (same context) No match for '->=gnome-base/gail-1.22'                                               
paludis@1207317866: [QA] (same context) No match for '->=app-text/rarian-0.8'                                               
paludis@1207317866: [QA] (same context) No match for '->=gnome-base/gnome-menus-2.22'                                       
paludis@1207317866: [QA] (same context) No match for '->=dev-python/pygtksourceview-2.2.0'                                   
paludis@1207317866: [QA] (same context) No match for '->=gnome-base/gconf-2.22'                                             
paludis@1207317866: [QA] (same context) No match for '->=x11-wm/metacity-2.22'                                               
paludis@1207317866: [QA] (same context) No match for '->=gnome-extra/gucharmap-2.22'                                         
paludis@1207317866: [QA] (same context) No match for '->=gnome-extra/gcalctool-5.22'                                         
paludis@1207317866: [QA] (same context) No match for '->=x11-themes/gnome-icon-theme-2.22'                                   
paludis@1207317866: [QA] (same context) No match for '->=x11-themes/gnome-themes-2.22'                                       
paludis@1207317866: [QA] (same context) No match for '->=gnome-extra/zenity-2.22'                                           
paludis@1207317866: [QA] (same context) No match for '->=gnome-extra/at-spi-1.21'                                           
paludis@1207317866: [QA] (same context) No match for '->=gnome-base/libgnomeui-2.22'                                         
paludis@1207317866: [QA] (same context) No match for '->=gnome-base/gnome-desktop-2.22'                                     
paludis@1207317866: [QA] (same context) No match for '->=x11-terms/gnome-terminal-2.22'



and so on.Any idea?
Back to top
View user's profile Send private message
pussi
l33t
l33t


Joined: 08 May 2004
Posts: 727
Location: Finland

PostPosted: Fri Apr 04, 2008 2:57 pm    Post subject: Reply with quote

I think they just added gnome 2.22 in portage tree so it might be that some packages were still missing when you synced.
resyncing after a while should fix that.
Back to top
View user's profile Send private message
madcat87
Tux's lil' helper
Tux's lil' helper


Joined: 11 Aug 2005
Posts: 120

PostPosted: Fri Apr 04, 2008 4:35 pm    Post subject: Reply with quote

No thats not the cause.I just resynced and the problem remains.It seems to be something with packege.mask
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 8, 9, 10 ... 24, 25, 26  Next
Page 9 of 26

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum